curl --request POST \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"reportDetails": "Cliente reportou ter recebido uma ligação de um falso funcionário do banco",
"trackingGraphParameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
}
}
'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries"
payload = {
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"reportDetails": "Cliente reportou ter recebido uma ligação de um falso funcionário do banco",
"trackingGraphParameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactInformation: {email: 'customer@example.com', phone: '+5511999999999'},
rootTransactionId: 'E12345678202411241430ABCDEFGHIJK',
situationType: 'SCAM',
reportDetails: 'Cliente reportou ter recebido uma ligação de um falso funcionário do banco',
trackingGraphParameters: {
hopWindow: 'PT24H',
maxHops: 5,
maxTransactions: 500,
minTransactionAmount: '200.00'
}
})
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bacenFundsRecoveryId": "91d65e98-97c0-4b0f-b577-73625da1f9fc",
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"reportDetails": "Cliente reportou ter recebido uma ligação de um falso funcionário do banco",
"reporterParticipant": "12345678",
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"status": "CREATED",
"trackingGraph": {
"accounts": [
{
"id": 1,
"openingDate": "2020-01-15",
"ownerId": 1,
"participant": "12345678"
}
],
"creationTime": "2023-11-07T05:31:56Z",
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
"parameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
},
"persons": [
{
"entityCreationDate": "2020-01-15",
"id": 1,
"type": "NATURAL_PERSON"
}
],
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"transactions": [
{
"amount": 1000.5,
"creditorAccountId": 2,
"debtorAccountId": 1,
"id": "E12345678202411241430ABCDEFGHIJK",
"refundableAmount": 1000.5,
"settlementTime": "2023-11-07T05:31:56Z"
}
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Criar uma Solicitação de Recuperação de Recursos
Use este endpoint para criar uma nova solicitação de recuperação de recursos para uma transação Pix suspeita de fraude.
Notas:
- O rootTransactionId deve ser um End-to-End ID Pix válido de 32 caracteres
- situationType indica o tipo de situação de fraude (SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN)
- As informações de contato (email e telefone) são obrigatórias para comunicação durante o processo de recuperação
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
ContactInformation contém as informações de contato da pessoa que reporta a fraude
Show child attributes
Show child attributes
RootTransactionID é o ID da transação Pix Fim a Fim original
"E12345678202411241430ABCDEFGHIJK"
SituationType é o tipo de situação de fraude
SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN "SCAM"
ReportDetails é a descrição detalhada do incidente de fraude
2000"Cliente reportou ter recebido uma ligação de um falso funcionário do banco"
TrackingGraphParameters contém parâmetros opcionais para a geração do grafo de rastreamento
Show child attributes
Show child attributes
Resposta
Created
"91d65e98-97c0-4b0f-b577-73625da1f9fc"
Show child attributes
Show child attributes
"2023-11-07T05:31:56Z"
"550e8400-e29b-41d4-a716-446655440000"
"Cliente reportou ter recebido uma ligação de um falso funcionário do banco"
"12345678"
"E12345678202411241430ABCDEFGHIJK"
SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN "SCAM"
CREATED, TRACKED, AWAITING_ANALYSIS, ANALYSED, REFUNDING, COMPLETED, CANCELLED "CREATED"
TrackingGraph é o grafo de rastreamento gerado durante a criação (PRD 4.1 / US-01) Presente quando trackingGraphParameters foram fornecidos na requisição
Show child attributes
Show child attributes
"2023-11-07T05:31:56Z"
Esta página foi útil?

